<template>
  <div id="endMaintenance">
    <page-title>库存盘点录入</page-title>
    <div class="main">
      <span class="text">新增信息</span>
      <span class="a"></span>
    </div>
    <div class="body">
      <div class="form-box">
        <dil-form :formId="232" v-model="form1" ></dil-form>
      </div>
    </div>
    <div class="button-box">
      <el-button @click="cancel">取消</el-button>
      <el-button type="primary" @click="makeSure">确认</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";
export default {
  components: { PageTitle },
  data() {
    return {
      form1: {},
      value: undefined,
    };
  },
  mounted() {},
  methods: {
    // 确定
    makeSure() {
      let inventoryCheck = {
        warehouseId: this.form1.warehouseId,
        materialId: this.form1.materialId,
        totalBookNumber: this.form1.bookTotalNumber,
        
      };
      console.log(inventoryCheck)
      this.axios
        .post(
          "/api/v1/wms/inventoryCheck/inventoryCheck",
          inventoryCheck
        )
        .then((res) => {
          console.log(res);
          console.log(this.form1);
          this.$router.go(-1);
        });
    },
    // 取消
    cancel() {
      this.$router.go(-1);
    },
  },
};
</script>

<style lang="scss" scoped>

</style>
